TAP::Parser::Result::Bailout(3pm)

NAME
TAP::Parser::Result::Bailout - Bailout result token.

VERSION
Version 3.23

DESCRIPTION
This is a subclass of TAP::Parser::Result. A token of this class will be returned if a bail out line is encountered.

 1..5
 ok 1 - woo hooo!
 Bail out! Well, so much for "woo hooo!"

OVERRIDDEN METHODS
Mainly listed here to shut up the pitiful screams of the pod coverage tests. They keep me awake at night.

•   "as_string"

  Instance Methods
"explanation"

  if ( $result->is_bailout ) {
      my $explanation = $result->explanation;
      print "We bailed out because ($explanation)";
  }

If, and only if, a token is a bailout token, you can get an "explanation" via this method. The explanation is the text after the mystical "Bail out!" words which appear in the tap output.